BUS_GENERIC_PRINT_CHILD(9)

NAME
bus_generic_print_child - generic implementation of DEVICE_PRINT_CHILD for busses

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
bus_generic_print_child(device_t dev, device_t child);

DESCRIPTION
This implementation prints out the default device announcement message. Given device 'foo0' on bus 'bar0' where foo0 has the name "FooCard 1234" the following would be printed:

foo0: <FooCard 1234> on bar0

bus_generic_print_child itself calls two functions bus_print_child_header() and bus_print_child_footer(). The former prints "foo0: <FooCard 1234>" and the latter "on bar0". These routines should be used if possible in your own code if bus_generic_print_child() does not completely suit your needs.

RETURN VALUES
The number of characters output.

SEE ALSO
device(9)

AUTHORS
This manual page was written by Doug Rabson.